javax.batch.api.partition

## Interface PartitionAnalyzer

All Known Implementing Classes:
  AbstractPartitionAnalyzer

    public interface PartitionAnalyzer

PartitionAnalyzer receives control to process data and final results from each partition. If a PartitionCollector is configured on the step, the PartitionAnalyzer receives control to process the data and results from the partition collector. While a separate PartitionCollector instance is invoked on each thread processing a step partition, a single PartitionAnalyzer instance runs on a single, consistent thread each time it is invoked.

### Method Summary

Methods
`void` `analyzeCollectorData(Serializable data)` The analyzeCollectorData method receives control each time a Partition collector sends its payload.
`void` `analyzeStatus(BatchStatus batchStatus, String exitStatus)` The analyzeStatus method receives control each time a partition ends.

### Method Detail

#### analyzeCollectorData

    void analyzeCollectorData(Serializable data)
                              throws Exception

The analyzeCollectorData method receives control each time a Partition collector sends its payload. It receives the Serializable object from the collector as an input.

Parameters:
  `data` - specifies the payload sent by a PartitionCollector.
Throws:
  `Exception` - is thrown if an error occurs.

#### analyzeStatus

    void analyzeStatus(BatchStatus batchStatus,
                     String exitStatus)
                       throws Exception

The analyzeStatus method receives control each time a partition ends. It receives the batch and exit status strings of the partition as inputs.

Parameters:
  `batchStatus` - specifies the batch status of a partition.
  `exitStatus` - specifies the exit status of a partition.
Throws:
  `Exception` - is thrown if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0